package com.ann.demo.entity.normalEntity;

import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author: LeiJiaXin
 * @Date: 2019/8/6 9:53
 */
@Data
@Entity
@Table(name = "commomtable1")
public class CommonTable1 {

    @Id
    @Column(name = "patient_id")
    private String masterId;


    /**
     * 1 新生儿出生体重
     */
    @Column(name = "avoirdupois")
    private float YZY072;

    /**
     * 2 新生儿入院体重
     */
    @Column(name = "avoirdupois_admiss")
    private float YZY073;

    /**
     * 5 出生日期
     */
    @Column(name = "birthday")
    private Date AAC006;


    /**
     * 7 医疗付费方式
     */
    @Column(name = "pay_type")
    private String YZY158;

    /**
     * 8 现住址（省、市、县、街道）
     */
    @Column(name = "addr")
    private String YZY075;


    /**
     * 9 出生地
     */
    @Column(name = "birth_addr")
    private String YZY010;


    /**
     * 10 职业
     */
    @Column(name = "job")
    private String YZY156;

    /**
     * 11 联系人地址
     */
    @Column(name = "rel_addr")
    private String YZY027;

    /**
     * 12 联系人电话
     */
    @Column(name = "rel_tel")
    private String YZY028;

    /**
     * 13 身份证号
     */
    @Column(name = "id_card")
    private String YZY011;

    /**
     * 15 婚况 1.未婚，2.已婚，3.离婚，4.丧偶，5.其他
     */
    @Column(name = "marriage")
    private String YZY018;

    /**
     * 16 民族
     */
    @Column(name = "nation")
    private String YZY015;


    /**
     * 17 国籍
     */
    @Column(name = "country")
    private String YZY013;

    /**
     * 18 籍贯
     */
    @Column(name = "native_place")
    private String YZY076;

    /**
     * 23 联系人与病人关系
     */
    @Column(name = "relation")
    private String YZY157;
    /**
     * 24 现住址电话
     */
    @Column(name = "telphone")
    private String YZY079;

    /**
     * 25 工作单位电话
     */
    @Column(name = "work_tel")
    private String YZY021;

    /**
     * 26 工作单位住址邮编
     */
    @Column(name = "work_zip")
    private String YZY022;

    /**
     * 27 现住址邮编
     */
    @Column(name = "home_zip")
    private String YZY080;

    /**
     * 64 出院主诊断入院病情 -------------入院病情 1.危，2.急，3.一般
     */
    @Column(name = "admiss_thing")
    private String YZY111;

//    /**
//     * 72 门((急)诊诊断编码
//     */
//    @Column(name = "clinic_diag")
//    private String YZY113;
//
//    /**
//     * 73门((急)诊诊断
//     */
//    @Column(name = "clinic_name")
//    private String YZY114;


    /**
     * 74 过敏药物
     */
    @Column(name = "medicine")
    private String YZY046;

    /**
     * 75 死亡患者是否尸检 0.未做，1.符合，2.不符合，3.不肯定，4.不作统计
     */
    @Column(name = "emit_pathology")
    private String YZY161;


    /**
     * 76 血型
     */
    @Column(name = "blood_type")
    private String YZY162;

    /**
     * 77 是否药物过敏
     */
    @Column(name = "is_medicine")
    private String is_medicine;


    /**
     * 84 Rh 1.阴，2.阳，3未查
     */
    @Column(name = "RH")
    private String YZY163;

    /**
     * 94 入院科别
     */
    @Column(name = "admiss_dept")
    private String YZY033;

    /**
     * 95 入院途径 1.门诊，2.急诊，3.转院
     */
    @Column(name = "admiss_type")
    private String YZY100;

    /**
     * 96 转科科别
     */
    @Column(name = "change_dept")
    private String YZY101;

    /**
     * 97 入院病房
     */
    @Column(name = "admiss_ward")
    private String YZY102;


    /**
     * 99 主任（副主任）医师
     */
    @Column(name = "director")
    private String YZY052;

    /**
     * 101 编码员
     */
    @Column(name = "coding")
    private String YZY062;


    /**
     * 102 出院病室
     */
    @Column(name = "dis_ward")
    private String YZY039;

    /**
     * 104 住院医师
     */
    @Column(name = "admiss_doctor")
    private String YZY056;

    /**
     * 105 科主任姓名
     */
    @Column(name = "dept_director")
    private String YZY050;



    /**
     * 工作单位地址
     */
    @Column(name = "work_addr")
    private String YZY020;

    /**
     * 联系人姓名
     */
    @Column(name = "linkman")
    private String AAE004;

    /////////////////////////////////


    /**
     * 质检日期
     */
    @Column(name = "quality_date")
    private Date YZY069;

    /**
     * 质控医师
     */
    @Column(name = "control")
    private String YZY066;
    /**
     * 质控护士
     */
    @Column(name = "nurses")
    private String YZY068;

    /**
     * 病案质量 1.甲，2.乙，3.丙
     * YZY064 为名称
     */
    @Column(name = "quality")
    private String YZY063;


    /**
     * 进修医师
     */
    @Column(name = "refresher")
    private String YZY058;

    /**
     * 实习医师
     */
    @Column(name = "praxis")
    private String YZY060;



    /**
     * 住院总费用
     */
    @Column(name = "total_charge")
    private String AKC264;

    /**
     * 治疗类-9-临床物理治疗费
     */
    @Column(name = "charge_34")
    private String YZY132;

    /**
     * 治疗类-10-麻醉费
     */
    @Column(name = "charge_14")
    private String YZY134;

    /**
     * 治疗类-10-手术费
     */
    @Column(name = "charge_19")
    private String YZY135;

    /**
     * 西药类-13-抗菌药物费用
     */
    @Column(name = "charge_37")
    private String YZY152;

    /**
     * 综合医疗服务类-一般医疗服务费(1)
     */
    @Column(name = "charge_10")
    private String YZY123;

    /**
     * 综合医疗服务类-一般治疗操作费(2)
     */
    @Column(name = "charge_25")
    private String YZY124;

    /**
     * 综合医疗服务类-护理费(3)
     */
    @Column(name = "charge_02")
    private String YZY125;

    /**
     * 综合医疗服务类-其他费用(4)
     */
    @Column(name = "charge_20")
    private String YZY126;

    /**
     * 诊断类-病理诊断费(5)
     */
    @Column(name = "charge_29")
    private String YZY127;

    /**
     * 诊断类-实验室诊断费(6)
     */
    @Column(name = "charge_30")
    private String YZY128;

    /**
     * 诊断类-影像学诊断费(7)
     */
    @Column(name = "charge_31")
    private String YZY129;

    /**
     * 诊断类-临床诊断项目费(8)
     */
    @Column(name = "charge_32")
    private String YZY130;

    /**
     * 治疗类-非手术治疗项目费(9)
     */
    @Column(name = "charge_33")
    private String YZY131;

    /**
     * 康复类-康复费(11)
     */
    @Column(name = "charge_36")
    private String YZY136;

    /**
     * 中医类-中医治疗费(12)
     */
    @Column(name = "charge_38")
    private String YZY137;

    /**
     * 西药类-西药费(13)
     */
    @Column(name = "charge_03")
    private String YZY138;

    /**
     * 中药类-中成药费(14)
     */
    @Column(name = "charge_04")
    private String YZY153;

    /**
     * 中药类-中草药费(15)
     */
    @Column(name = "charge_05")
    private String YZY154;

    /**
     * 血液和血液制品类-血费(16)
     */
    @Column(name = "charge_09")
    private String YZY139;

    /**
     * 血液和血液制品类-白蛋白类制品费(17)
     */
    @Column(name = "charge_39")
    private String YZY140;

    /**
     * 血液和血液制品类-球蛋白类制品费(18)
     */
    @Column(name = "charge_40")
    private String YZY141;

    /**
     * 血液和血液制品类-凝血因子类制品费(19)
     */
    @Column(name = "charge_41")
    private String YZY142;

    /**
     * 血液和血液制品类-细胞因子类制品费(20)
     */
    @Column(name = "charge_42")
    private String YZY143;

    /**
     * 耗材类-检查用一次性医用材料费(21)
     */
    @Column(name = "charge_43")
    private String YZY144;

    /**
     * 耗材类-治疗用一次性医用材料费(22)
     */
    @Column(name = "charge_44")
    private String YZY145;

    /**
     * 耗材类-手术用一次性医用材料费(23)
     */
    @Column(name = "charge_45")
    private String YZY146;

    /**
     * 其他类-其他费(24)
     */
    @Column(name = "other")
    private String YZY155;

    /**
     * 自付费用
     */
    @Column(name = "charge_22")
    private String YZY122;

    /**
     * （入院前）颅脑损伤时间
     */
    @Column(name = "craniocerebral_starttime")
    private String YZY081;

    /**
     * （入院后）颅脑损伤时间
     */
    @Column(name = "craniocerebral_endtime")
    private String YZY082;

    /**
     * 离院方式
     */
    @Column(name = "dis_type")
    private String YZY171;

    /**
     * 是否有31天内再次入院计划
     */
    @Column(name = "is_hospitalization")
    private String YZY164;

    /**
     *  31天内再次入院目的
     */
    @Column(name = "hospitalization_objective")
    private String YZY099;

    /**
     *  责任护士
     */
    @Column(name = "responsible_nurse")
    private String YZY103;

    // 2020-8-31 新增以下节点
    /**
     *  是否临床路径病例
     */
    @Column(name = "is_medical_record_path")
    private String YZY165;

    /**
     *  肿瘤放疗方式
     */
    @Column(name = "radiotherapy_type")
    private String YZY166;

    /**
     *  肿瘤放疗装置
     */
    @Column(name = "radiotherapy_device")
    private String YZY167;

    /**
     *  化疗方式
     */
    @Column(name = "chemotherapy_type")
    private String YZY168;

    /**
     *  化疗方法
     */
    @Column(name = "chemotherapy_method")
    private String YZY169;

    /**
     *  病例分型
     */
    @Column(name = "case_type")
    private String YZY170;


    /**
     *  转科1科室
     */
    @Column(name = "change_dept1")
    private String YZY172;

    /**
     *  转科2科室
     */
    @Column(name = "change_dept2")
    private String YZY173;

    /**
     *  转科3科室
     */
    @Column(name = "change_dept3")
    private String YZY174;


}
