package com.ann.demo.entity.normalEntity;

import lombok.Data;

import javax.persistence.Column;

/**
 * 校验质控规则所有信息
 * @Author: LeiJiaXin
 * @Date: 2020/5/22 10:27
 */
@Data
public class OtherData {


    /**
     * 19 组织机构代码 Organization code
     */
    private String YZY077;

    /**
     * 20 医疗机构
     */
    private String YZY078;

    /**
     * 22 户口地址邮编
     */
    private String  YZY024;


//    /**
//     * 41 治疗类-非手术治疗项目费(9)-2
//     */
//    @Column(name = "fsszlxmf2")
//    private String YZY132;


    /**
     * 43 治疗类-手术治疗费(10)
     */
    @Column(name = "sszlf")
    private String YZY133;

    /**
     * 61 主要手术名称
     */
    @Column(name = "operate_name")
    private String YZY105;

    /**
     * （主要手术）切口愈合等级
     */
    @Column(name = "cut")
    private String YZY084;

    /**
     * 主要手术日期
     */
    @Column(name = "operate_date")
    private String YZY106;

    /**
     * 主要手术级别
     */
    @Column(name = "operate_class")
    private String YZY108;

    /**
     * 主要手术术者
     */
    @Column(name = "operator")
    private String YZY109;

    /**
     * （主要手术）麻醉医师
     */
    @Column(name = "anaesthesia_name")
    private String YZY112;


    /**
     * 62 主要操作名称
     */
    private String YZY110;


    /**
     * 63 （其他出院诊断）编码-1-2
     */
    private String YZY221;

    /**
     * 67 （主要操作）切口愈合等级
     */
    private String YZY083;

    /**
     * 70 （主要操作）日期
     */
    private String YZY085;

    /**
     * 70-1 病理诊断编码
     */
    private String pathologyDingCode;

    /**
     * 70-2 病理诊断
     */
    private String pathologyDingName;

    /**
     * 71 主要手术麻醉方式
     */
    private String YZY107;

    /**
     * 78 损伤、中毒的外部原因疾病编码必填
     */
    private String YZY091;

    /**
     * 79 损伤中毒的外部原因编码
     */
    private String YZY092;

    /**
     * 80 损伤、中毒的外部原因必填
     */
    private String YZY093;

    /**
     * 81 （主要操作）级别
     */
    private String YZY094;


    /**
     * 83 病理号 (基于其他病理诊断内容判断病理号不为空 )
     */
    private String YZY095;


    /**
     * 86 （主要操作）术者
     */
    private String YZY097;

}
